| GlsMap Toolkit 1.10.2

Public Member Functions | Protected Types | Protected Attributes | List of all members
disti::AIFMapChartLayerCache::LayerCacheEntry Class Reference

`#include <aif_map_chart_cache.h>`

## Public Member Functions
| LayerCacheEntry (const double resolution, const MapChartCellList &cellList)
| ~LayerCacheEntry ()
double | GetResolution (void) const
void | ReleaseCachedCells (void)
void | UpdateLatestCells (const MapChartCellList &cellList)
void | UpdateLatestCellsReplace (const MapChartCellList &cellList)
void | ReCalcSize ()
float | SizeMeg ()

## Protected Types
typedef std::set< AifMapChartCell * > | CachedCells

## Protected Attributes
const double | _resolution
unsigned int | _cellsCacheSizeBytes
CachedCells | _cells

## Detailed Description

entry for cache info for one layer

## Constructor & Destructor Documentation

## ◆ LayerCacheEntry()

AIFMapChartLayerCache::LayerCacheEntry::LayerCacheEntry | ( | const double | resolution,
|  | const MapChartCellList & | cellList
| ) |  |

ctor

Parameters

  resolution | the resolution for this entry
  cellList | most recent cell list from GetCellList call

## ◆ ~LayerCacheEntry()

disti::AIFMapChartLayerCache::LayerCacheEntry::~LayerCacheEntry | ( |  | ) |
| inline

dtor - releases any cached cells

## Member Function Documentation

## ◆ GetResolution()

double disti::AIFMapChartLayerCache::LayerCacheEntry::GetResolution | ( | void |  | ) | const
| inline

Get the layer ID associated with this entry

Returns
  layer ID associated with this entry

## ◆ ReleaseCachedCells()

void AIFMapChartLayerCache::LayerCacheEntry::ReleaseCachedCells | ( | void |  | ) |

Release any cached cells

## ◆ SizeMeg()

float disti::AIFMapChartLayerCache::LayerCacheEntry::SizeMeg | ( |  | ) |
| inline

Size in megabytes of this cell cache

## ◆ UpdateLatestCells()

void AIFMapChartLayerCache::LayerCacheEntry::UpdateLatestCells | ( | const MapChartCellList & | cellList | ) |

Merges cells into the collection of cells

## Member Data Documentation

## ◆ _cells

CachedCells disti::AIFMapChartLayerCache::LayerCacheEntry::_cells
| protected

The cached cells

## ◆ _resolution

const double disti::AIFMapChartLayerCache::LayerCacheEntry::_resolution
| protected

resolution associated with this entry

The documentation for this class was generated from the following files:

- aif_map_chart_cache.h
- aif_map_chart_cache.cpp